package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.model.Nidgrp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;
import java.util.Map;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class NitattStoreBo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private List<Map<String, String>> shwinc;
    private List<Map<String, String>> shwout;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
    }
}
